Internet Explorer 11: Solucionar el error Java 1.7 para ingresar al SAT

6
148
sat shcp

Todos los gobiernos en el mundo sin importar su economía y leyes, suelen crear sitios web o plataformas con tecnologías cazadas en ciertos sistemas operativos. En el caso de México, el 90% de los sitios gubernamentales están diseñados para el navegador Internet Explorer y Windows (alguna versión estable).

La página web del SAT está diseñada principalmente para usuarios que tengan Windows XP, Internet Explorer, Java virtual Machine. Esto quiere decir que quienes tengan versiones superiores de Windows tendrán problemas, y si usas Mozilla Firefox, Google Chrome, Opera, también ya que tendrás que instalar un sin fin de plugins que no siempre funcionan o se desconfiguran en cada actualización de Java. Los usuarios de Mac la tienen más dificil.

Es importante recordar que no todos los usuarios tienen la misma configuración, actualizaciones, por lo tanto, nuestro procedimiento se basará en uno estándar. Si tienes problemas con el Java 1.7 para ingresar al SAT, sigue el siguiente procedimiento:

  1. Actualiza a la versión de Internet Explorer 11 o superior (no lo intentes con Google Chrome ya que no te dejará por más que leas en Internet).
  2. Instala o actualiza Java virtual Machine 6 o superior (no instales la versión 8 ya que esta es la que presenta todos los problemas.
  3. Instala o actualiza Microsoft Silverlight a su última versión (funciona desde la versión 4).
  4. Una vez que hayas instalado todo, reinicia tu equipo.
  5. Ahora abre Java para cambiar la configuración (busca Configure Java), has clic en la pestaña Security y baja el nivel de seguridad a Medium.
  6. Aplica y reinicia nuevamente.

Muchas veces no tendrá efecto, por lo que tendrás que hacer un trabajo adicional para enriquecer el procedimiento. En la pestaña Security, has clic en Edit Site List y agregas las siguientes direcciones web del SAT:

  • https://portalsat.plataforma.sat.gob.mx
  • https://www.consulta.sat.gob.mx
  • https://www.sat.gob.mx

Por último Aplicas y Aceptas para que todo el procedimiento tenga efecto (esto lo debes hacer sin ningún navegador abierto.

Recuerda que este procedimiento es exclusivo para el navegador Internet Explorer 11 o superior, usando Windows 7, Windows 8 y Windows 10. No actualices Java 8 ya que seguirás con el mismo problema. Si sigues presentando problemas con Java 1.7 tendrás que revisar que aplicación puede estar causando conflicto.

6 COMENTARIOS

  1. Idse Imss

    yo quiero ingresar al certisat web y no me ha dejado, voy a intentar con tu procedimiento a ver que tal, espero que funcione porque esto del famoso Java 1.7 me tiene bastante frustrado

    • TeamOoorale

      es cosa que intentes, ya que al parecer todo esto tiene que ver con Java 1.7 y versiones superiores

  2. German Garmendia

    Me has salvado la vida, llevaba horas buscando el modo de hacer una factura enriquecida con la fiel y no podía. Uso chrome pero con explorer 11 y tus consejos pude enviar la factura a mi cliente. El SAT debería ser más claro con este error del Java 1.7

  3. Alfredo Barrientos

    No he podido encontrar un java para SAT por más que instale y reinstale, algo me falta en mi laptop, voy a probar con el silverlight que mencionan aquí. Ojalá me sirva también para el idse imss

  4. Jorge Castillejos

    Gracias por el procedimiento, te cuento que si me resultó pero al día siguiente ya tenía el mismo problema al querer hacer facturas enriquecidas desde el SAT. Un amigo contador me recomendó instalar JavaPolicy.exe y llevo varios días sin error. Lo único malo es que siempre se me olvida usar Internet Explorer

    • StaffOoorale

      Tu experiencia es importante, ya que como explicamos, no todos tendrán éxito debido a nuestras aplicaciones, programas y configuraciones personalizadas. Pero todo lo que pueda enriquecer al procedimiento es bienvenido, ya que muchos no tienen recursos para contratar contadores o usar programas para evitar todo este problema (creo que por ahí va el negocio del SAT)

DEJE SU COMENTARIO